:: General note on .BAT file:
:: - lines beginning with "::" are comments and are also used to disable unused code.
:: - lines beginning with ":" are labels for goto statement, used to to skip blocs.

:: Create the directory for traified dialogs
if exist Branwen\Dialogue_traified goto d_tra_exists
mkdir Branwen\Dialogue_traified

:d_tra_exists

:: Create the directory for traified french dialogs
if exist Branwen\Dialogue_fr_traified goto d_fr_tra_exists
mkdir Branwen\Dialogue_fr_traified

:d_fr_tra_exists

:: Create the directory for traified script and tp2
if exist Branwen\Other_traified goto other_tra_exists
mkdir Branwen\Other_traified

:other_tra_exists

:: weidu --nogame --traify Setup-DarkHorizonsBGee.tp2 --traify-old-tra setup.tra --out setup-new --traify-comment

:: weidu --nogame --traify Setup-DarkHorizonsBGee.tp2 --traify# 867 --out setup-new --traify-comment

::goto

:without_comment

:: --traify-comment

:: Dialogue
weidu --nogame --traify Branwen\Dialogue\BranEE.d   --out Branwen\Dialogue_traified\BranEE
weidu --nogame --traify Branwen\Dialogue\O#BBra25.d --out Branwen\Dialogue_traified\O#BBra25
weidu --nogame --traify Branwen\Dialogue\O#BBran.d  --out Branwen\Dialogue_traified\O#BBran
weidu --nogame --traify Branwen\Dialogue\O#Bra25J.d --out Branwen\Dialogue_traified\O#Bra25J
weidu --nogame --traify Branwen\Dialogue\O#Bra25P.d --out Branwen\Dialogue_traified\O#Bra25P
weidu --nogame --traify Branwen\Dialogue\O#Bran.d   --out Branwen\Dialogue_traified\O#Bran
weidu --nogame --traify Branwen\Dialogue\O#Bran25.d --out Branwen\Dialogue_traified\O#Bran25
weidu --nogame --traify Branwen\Dialogue\O#BranJ.d  --out Branwen\Dialogue_traified\O#BranJ
weidu --nogame --traify Branwen\Dialogue\O#BranP.d  --out Branwen\Dialogue_traified\O#BranP

:: Dialogue_fr
:: Dialogue
weidu --nogame --traify Branwen\Dialogue_fr\BranEE.d   --out Branwen\Dialogue_fr_traified\BranEE
weidu --nogame --traify Branwen\Dialogue_fr\O#BBra25.d --out Branwen\Dialogue_fr_traified\O#BBra25
weidu --nogame --traify Branwen\Dialogue_fr\O#BBran.d  --out Branwen\Dialogue_fr_traified\O#BBran
weidu --nogame --traify Branwen\Dialogue_fr\O#Bra25J.d --out Branwen\Dialogue_fr_traified\O#Bra25J
weidu --nogame --traify Branwen\Dialogue_fr\O#Bra25P.d --out Branwen\Dialogue_fr_traified\O#Bra25P
weidu --nogame --traify Branwen\Dialogue_fr\O#Bran.d   --out Branwen\Dialogue_fr_traified\O#Bran
weidu --nogame --traify Branwen\Dialogue_fr\O#Bran25.d --out Branwen\Dialogue_fr_traified\O#Bran25
weidu --nogame --traify Branwen\Dialogue_fr\O#BranJ.d  --out Branwen\Dialogue_fr_traified\O#BranJ
weidu --nogame --traify Branwen\Dialogue_fr\O#BranP.d  --out Branwen\Dialogue_fr_traified\O#BranP

:: Scripts : 
::weidu --nogame --traify Branwen\Scripts\O#BranF.baf --out Branwen\Other_traified\O#BranF

:: tp2
:: start at 5000 to avoid conflict with dialogues and texts already in the existing English\Setup-Branwen.tra
weidu --nogame --traify Branwen\Setup-Branwen.tp2 --traify# 5000 --out Branwen\Other_traified\Setup-Branwen

:: @todo
:: Check common strings for voice over in tp2 and O#BranF.baf


pause
